Get Prompt
curl --request GET \
--url https://api.example.com/v1/prompts/{prompt_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/v1/prompts/{prompt_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/v1/prompts/{prompt_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "prompt_01h45ytscbebyvny4gc8cr8ma2",
"name": "<string>",
"prompt": "<string>",
"response_schema": {
"draft_07": {
"enum": [
"generalist",
"specialist"
],
"type": "string"
}
},
"version": 123,
"is_current": true,
"created_at": 123,
"description": "<string>"
},
"response_type": "PromptResponse",
"links": [
{
"href": "/resource/{resource_id}",
"method": "GET",
"rel": "self",
"title": "Resource Details"
},
{
"href": "/resource/{resource_id}/related",
"method": "GET",
"rel": "related",
"title": "Related Resources"
}
]
}{
"data": {
"title": "Request Validation Error",
"status": 422,
"detail": "Request validation failed",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Unauthorized",
"status": 401,
"detail": "Authentication required",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Payment Required",
"status": 402,
"detail": "Payment required",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Forbidden",
"status": 403,
"detail": "Access forbidden",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Not Found",
"status": 404,
"detail": "Resource not found",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Request Validation Error",
"status": 422,
"detail": "Request validation failed",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Internal Server Error",
"status": 500,
"detail": "Internal server error",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}prompts
Get Prompt
Get the latest version of a prompt by ID.
GET
/
v1
/
prompts
/
{prompt_id}
Get Prompt
Authorizations
API Key for external integrations (format: greetincs_...)
Path Parameters
Prompt ID in TypeID format (unversioned: prompt_xxx)
Response
Successful Response
API response model for structured prompts.
Data model for versioned structured prompts.
The id field serializes as unversioned (prompt_xxx) for direct use in API paths.
Version info is in the separate version field.
Show child attributes
Show child attributes
HATEOAS links related to this response (e.g., self, next, prev)
Show child attributes
Show child attributes
Example:
[
{
"href": "/resource/{resource_id}",
"method": "GET",
"rel": "self",
"title": "Resource Details"
},
{
"href": "/resource/{resource_id}/related",
"method": "GET",
"rel": "related",
"title": "Related Resources"
}
]
⌘I